### Method

# Fwupd Device set_request_flags

#### Declaration [src]

    void
    fwupd_device_set_request_flags (
      FwupdDevice* self,
      guint64 request_flags
    )

#### Description [src]

Sets device request flags.

Available since: | 1.9.10

Sets property | `Fwupd.Device:request-flags`

#### Parameters

`request_flags` | `guint64`
| Device request flags, e.g. `FWUPD_DEVICE_REQUEST_FLAG_REQUIRE_AC`.